<template>
  <v-dialog v-model="dialogConfirm" @click:outside="close" max-width="50%">
    <v-card class="pa-8">
      <v-card-title class="justify-center text-h5 d-flex font-weight-bold">
        {{ dialogTitle }}
      </v-card-title>
      <v-divider class="mt-2 mb-4"></v-divider>
      <v-card-text>
        {{ dialogText }}
      </v-card-text>
      <v-card-actions class="justify-center d-flex">
        <v-btn variant="outlined" rounded size="large" class="text-uppercase" data-cy="ConfirmDialogCancelBtn" :disabled="loading"
          @click="close()">
          Annuler
        </v-btn>
        <v-btn variant="outlined" rounded size="large" class="text-uppercase inverted" data-cy="ConfirmDialogConfirmBtn"
          :loading="loading" @click="confirm()">
          Valider
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script setup lang="ts">
const dialogConfirm = defineModel<boolean>();

defineProps<{
  dialogTitle: string,
  dialogText: string,
}>();
const emit = defineEmits(['close', 'confirm']);

const loading = ref(false);
const close = () => {
  emit('close');
};

const confirm = () => {
  emit('confirm');
  loading.value = true;
};
</script>
